<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Confluent.Kafka" Version="2.13.0" />
    <PackageReference Include="MessagePack" Version="3.1.4" />
    <PackageReference Include="Microsoft.Orleans.Core" Version="8.2.0" />
    <PackageReference Include="Microsoft.Orleans.Persistence.Redis" Version="8.2.0" />
    <PackageReference Include="Microsoft.Orleans.Server" Version="8.2.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="NLog" Version="6.0.7" />
    <PackageReference Include="NLog.Schema" Version="6.0.7" />
    <PackageReference Include="RestSharp" Version="113.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CommonEntity\CommonEntity.csproj" />
    <ProjectReference Include="..\CommonTools\CommonTools.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Para_copy.yaml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
